Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.infobrightoutput
Class KettleEtlLogger

    java.lang.Object
      org.pentaho.di.trans.steps.infobrightoutput.KettleEtlLogger

All Implemented Interfaces:
  com.infobright.logging.EtlLogger

    public class KettleEtlLogger

extends Object
implements com.infobright.logging.EtlLogger

Adapter between Infobright EtlLogger and a Kettle BaseStep.

Author:
  geoffrey.falk@infobright.com

Constructor Summary
`KettleEtlLogger(BaseStep step)`

Method Summary
`void` | `debug(String s)`
`void` | `error(String s)`
`void` | `error(String s, Throwable cause)`
`void` | `fatal(String s)`
`void` | `info(String s)`
`void` | `trace(String s)`
`void` | `warn(String s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KettleEtlLogger

    public KettleEtlLogger(BaseStep step)

Method Detail

### debug

    public void debug(String s)

  Specified by:
    `debug` in interface `com.infobright.logging.EtlLogger`

### error

    public void error(String s,
                      Throwable cause)

  Specified by:
    `error` in interface `com.infobright.logging.EtlLogger`

### error

    public void error(String s)

  Specified by:
    `error` in interface `com.infobright.logging.EtlLogger`

### info

    public void info(String s)

  Specified by:
    `info` in interface `com.infobright.logging.EtlLogger`

### trace

    public void trace(String s)

  Specified by:
    `trace` in interface `com.infobright.logging.EtlLogger`

### warn

    public void warn(String s)

  Specified by:
    `warn` in interface `com.infobright.logging.EtlLogger`

### fatal

    public void fatal(String s)

  Specified by:
    `fatal` in interface `com.infobright.logging.EtlLogger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD